# Implemented Quality Check Functions

Index of the main documentation of the implemented functions, their purpose and parametrization.

## Index

- [Miscellaneous](docs/funcs/Miscellaneous.md)
  - [flagRange](docs/funcs/Miscellaneous.md#flagrange)
  - [flagSeasonalRange](docs/funcs/Miscellaneous.md#flagseasonalrange)
  - [flagIsolated](docs/funcs/Miscellaneous.md#flagisolated)
  - [flagMissing](docs/funcs/Miscellaneous.md#flagmissing)
  - [flagDummy](docs/funcs/Miscellaneous.md#flagdummy)
  - [clearFlags](docs/funcs/Miscellaneous.md#clearflags)
  - [forceFlags](docs/funcs/Miscellaneous.md#forceflags)
- [Spike Detection](docs/funcs/SpikeDetection.md)
  - [spikes_flagBasic](docs/funcs/SpikeDetection.md#spikes_flagbasic)
  - [spikes_flagMad](docs/funcs/SpikeDetection.md#spikes_flagmad)
  - [spikes_flagSlidingZscore](docs/funcs/SpikeDetection.md#spikes_flagslidingzscore)
  - [spikes_flagSpektrumBased](docs/funcs/SpikeDetection.md#spikes_flagspektrumbased)
  - [spikes_flagRaise](docs/funcs/SpikeDetection.md#spikes_flagraise)
- [Constant Detection](docs/funcs/ConstantDetection.md)
  - [constants_flagBasic](docs/funcs/ConstantDetection.md#constants_flagbasic)
  - [constants_flagVarianceBased](docs/funcs/ConstantDetection.md#constants_flagvariancebased)
- [Break Detection](docs/funcs/BreakDetection.md)
  - [breaks_flagSpektrumBased](docs/funcs/BreakDetection.md#breaks_flagspektrumbased)
- [Time Series Harmonization](docs/funcs/TimeSeriesHarmonization.md)
  - [harm_shift2Grid](docs/funcs/TimeSeriesHarmonization.md#harm_shift2grid)
  - [harm_aggregate2Grid](docs/funcs/TimeSeriesHarmonization.md#harm_aggregate2grid)
  - [harm_linear2Grid](docs/funcs/TimeSeriesHarmonization.md#harm_linear2grid)
  - [harm_interpolate2Grid](docs/funcs/TimeSeriesHarmonization.md#harm_interpolate2grid)
  - [harm_downsample](docs/funcs/TimeSeriesHarmonization.md#harm_downsample)
  - [harm_harmonize](docs/funcs/TimeSeriesHarmonization.md#harm_harmonize)
  - [harm_deharmonize](docs/funcs/TimeSeriesHarmonization.md#harm_deharmonize)
- [Soil Moisture](docs/funcs/SoilMoisture.md)
  - [sm_flagSpikes](docs/funcs/SoilMoisture.md#sm_flagspikes)
  - [sm_flagBreaks](docs/funcs/SoilMoisture.md#sm_flagbreaks)
  - [sm_flagConstants](docs/funcs/SoilMoisture.md#sm_flagconstants)
  - [sm_flagFrost](docs/funcs/SoilMoisture.md#sm_flagfrost)
  - [sm_flagPrecipitation](docs/funcs/SoilMoisture.md#sm_flagprecipitation)
  - [sm_flagRandomForest](docs/funcs/SoilMoisture.md#sm_flagrandomforest)
